import React from 'react'
import Icon from './Icon'

const CogIcon = ({ fill, ...props }) => {
  return (
    <Icon {...props}>
      <svg style={{ display: 'block' }} width='100%' height='100%' viewBox='0 0 16 16' xmlns='http://www.w3.org/2000/svg'>
        <path fill={fill} fillRule='evenodd' d='M12.9 4.5L14.4 3 13 1.6l-1.5 1.5c-.7-.5-1.6-.9-2.5-1V0H7v2.1c-.9.2-1.8.5-2.5 1L3.1 1.6 1.6 3.1l1.5 1.5c-.5.6-.9 1.5-1 2.4H0v2h2.1c.2.9.5 1.8 1 2.5L1.6 13 3 14.4l1.5-1.5c.7.5 1.6.9 2.5 1V16h2v-2.1c.9-.2 1.8-.5 2.5-1l1.5 1.5 1.4-1.4-1.5-1.5c.5-.7.9-1.6 1-2.5H16V7h-2.1c-.1-.9-.5-1.8-1-2.5zM8 11c-1.7 0-3-1.3-3-3s1.3-3 3-3 3 1.3 3 3-1.3 3-3 3z' />
      </svg>
    </Icon>
  )
}

CogIcon.propTypes = {
  ...Icon.propTypes
}

CogIcon.defaultProps = {
  ...Icon.defaultProps,
  size: 'small'
}

export default CogIcon
