import React, { Component } from 'react'
import ReactDom from 'react-dom'

class Portal extends Component {
  componentWillMount () {
    this.masterPortal = document.querySelector('.ui-lib-master-portal')

    if (this.masterPortal === null) {
      this.masterPortal = document.createElement('div')
      this.masterPortal.classList.add('ui-lib-master-portal')
      document.body.appendChild(this.masterPortal)
    }

    this.popup = document.createElement('div')
    this.popup.classList.add('ui-lib-portal')
    this.masterPortal.appendChild(this.popup)

    this.renderLayer()
  }

  componentDidUpdate () {
    this.renderLayer()
  }

  componentWillUnmount () {
    ReactDom.unmountComponentAtNode(this.popup)
    this.masterPortal.removeChild(this.popup)
  }

  renderLayer () {
    ReactDom.unstable_renderSubtreeIntoContainer(this, this.props.children, this.popup)
  }

  render () {
    return null
  }
}

Portal.propTypes = {
  children: React.PropTypes.node, // eslint-disable-line
}

export default Portal
