import React from 'react'
import { css } from 'glamor'
import Pane from './Pane'
import theme from './theme'

const styles = css({
  '&::placeholder': {
    color: theme.textColors.muted
  }
})

const Textarea = props => <Pane {...props} {...styles} />

Textarea.defaultProps = {
  is: 'textarea',
  border: true,
  rounded: true,
  white: true,
  textStyle: 'body1',
  paddingX: theme.majorScale(2),
  paddingY: theme.majorScale(1),
  width: '100%'
}

export default Textarea
