import PropTypes from 'prop-types'

export const propTypes = {
  width: PropTypes.string,
  height: PropTypes.string,
  minWidth: PropTypes.string,
  minHeight: PropTypes.string,
  maxWidth: PropTypes.string,
  maxHeight: PropTypes.string
}

export const parseProps = ({
  width,
  height,
  minWidth,
  minHeight,
  maxWidth,
  maxHeight,
  style,
  ...props
}) => {
  const styles = {}

  if (width) {
    styles.width = width
  }

  if (height) styles.height = height

  if (minWidth) styles.minWidth = minWidth
  if (minHeight) styles.minHeight = minHeight
  if (maxWidth) styles.maxWidth = maxWidth
  if (maxHeight) styles.maxHeight = maxHeight

  return { style: { ...styles, ...style }, ...props }
}
