import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  Pane,
  Code,
  theme
} from '../components'
import Content from './Content'
const { majorScale } = theme

export default function (module) {
  storiesOf('Code', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
# Code

The Code component is an inline code block (not syntax highlighted).

* Always wrap code in a string literal for safety.
* Always escape the content.

\`\`\`
The <Code>{'<Popover>'}</Code> component is pretty cool.
\`\`\`

`}
          </Content>
          The <Code>{'<Popover>'}</Code> component is pretty cool.
        </Pane>
      </App>
    ))
}
