import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  Pane,
  SegmentLogo,
  SegmentIcon,
  theme
} from '../components'
import Content from './Content'
const { majorScale } = theme

export default function paneStory (module) {
  storiesOf('Segment Logo and Icon', module)
    .add('usage', () => (
      <App>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
  # Segment Logo and Icon

  The SegmentLogo and SegmentIcon component both implement \`<Box />\`.

  \`\`\`
  <SegmentLogo width='106px' display='inline-block' marginRight={4} />
  <SegmentIcon width='25px' display='inline-block' />
  \`\`\`

  `}
          </Content>
          <SegmentLogo width='106px' display='inline-block' marginRight={majorScale(2)} />
          <SegmentIcon width='25px' display='inline-block' />
        </Pane>
      </App>
    ))
    .add('Segment Logo', () => (
      <SegmentLogo width='106px' />
    ))
    .add('Segment Icon', () => (
      <SegmentIcon width='25px' />
    ))
}
