import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  Pane,
  Sidebar,
  SidebarLink,
  theme
} from '../components'
import Content from './Content'
const { majorScale } = theme

export default function sidebarStory (module) {
  storiesOf('Sidebar', module)
    .add('usage', () => (
      <App>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
# Sidebar

The Sidebar component. Composes \`<Pane />\`.
The SidebarLink components. Composes \`<Link />\`.

\`\`\`
<Sidebar>
  <SidebarLink href='#' active>Tracks</SidebarLink>
  <SidebarLink href='#'>Page</SidebarLink>
  <SidebarLink href='#'>Screen</SidebarLink>
  <SidebarLink href='#'>Identify</SidebarLink>
  <SidebarLink href='#'>Group</SidebarLink>
</Sidebar>
\`\`\`

`}
          </Content>
          <Sidebar>
            <SidebarLink href='#' active>Tracks</SidebarLink>
            <SidebarLink href='#'>Page</SidebarLink>
            <SidebarLink href='#'>Screen</SidebarLink>
            <SidebarLink href='#'>Identify</SidebarLink>
            <SidebarLink href='#'>Group</SidebarLink>
          </Sidebar>
          <Content markdown>
            {`
prop | type | default | description
-----|------| --------|-------------
\`children\` | node | undefined | contents of Sidebar
`}
          </Content>
        </Pane>
      </App>
    ))
    .add('with Sidebar Links', () => (
      <Sidebar flexAuto>
        <SidebarLink href='#' active>Tracks</SidebarLink>
        <SidebarLink href='#'>Page</SidebarLink>
        <SidebarLink href='#'>Screen</SidebarLink>
        <SidebarLink href='#'>Identify</SidebarLink>
        <SidebarLink href='#'>Group</SidebarLink>
      </Sidebar>
    ))
}
