import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  Pane,
  Textarea,
  theme
} from '../components'
import Content from './Content'
const { majorScale } = theme

export default function textareaStory (module) {
  storiesOf('Textarea', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
# Textarea

**Available since v4.1.0**

The Textarea component is an \`textarea\` element that implements the \`<Pane />\` component.

\`\`\`
<Textarea placeholder='Let us know why' rows='4' maxWidth='640px' />
\`\`\`
`}
          </Content>
          <Textarea placeholder='Let us know why' rows='4' maxWidth='640px' />
        </Pane>
      </App>
    ))
}
